<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_o"></a>- o -</h3><ul>
<li>okToFail()
: <a class="el" href="structCatch_1_1TestCaseInfo.html#a5f37291295e3a6de2dd85324c941edaf">Catch::TestCaseInfo</a>
</li>
<li>on_back_clicked()
: <a class="el" href="classSettings.html#a64235ba40228d91db20ab9cef66bf49e">Settings</a>
</li>
<li>on_exit_clicked()
: <a class="el" href="classMainWindow.html#a5b38e233c85b8dd578103c2fd97112ec">MainWindow</a>
</li>
<li>on_hsCard_sliderMoved()
: <a class="el" href="classSettings.html#a1e6229ba4b9f469fd9dd86248a34b235">Settings</a>
</li>
<li>on_hsStory_sliderMoved()
: <a class="el" href="classSettings.html#a5844349408188335f358598cb287205b">Settings</a>
</li>
<li>on_hsVoting_sliderMoved()
: <a class="el" href="classSettings.html#aee3a688f465e8621816826166d81d24e">Settings</a>
</li>
<li>on_joinGame_clicked()
: <a class="el" href="classMainWindow.html#aaa610de05e145895fabe840815a78914">MainWindow</a>
</li>
<li>on_leStory_textChanged()
: <a class="el" href="classTable.html#a1e67e3b1c65e211e1718b230ddfb4d77">Table</a>
</li>
<li>on_lnUsername_textChanged()
: <a class="el" href="classSettings.html#af5de247c961926bbaae60a759c67e9be">Settings</a>
</li>
<li>on_newGame_clicked()
: <a class="el" href="classMainWindow.html#a826ebe9b71b2e78b3968b1f675127f7c">MainWindow</a>
</li>
<li>on_options_clicked()
: <a class="el" href="classMainWindow.html#a986459e2f079bec2d7d40df190fb1a44">MainWindow</a>
</li>
<li>on_pbBack_clicked()
: <a class="el" href="classHostGame.html#a054b815f8e243f37f1f1c8a60498d968">HostGame</a>
, <a class="el" href="classLobby.html#a379a84706fb811e1c0f7d0d870479b4c">Lobby</a>
</li>
<li>on_pbJoin_clicked()
: <a class="el" href="classLobby.html#ac421850c42697428a641f689852ee704">Lobby</a>
</li>
<li>on_pbJoin_pressed()
: <a class="el" href="classLobby.html#ad702877004e9780d757c659fc97875ff">Lobby</a>
</li>
<li>on_pushButton_clicked()
: <a class="el" href="classHostGame.html#acd032adc2d16d48f9a4529a94c9dbbce">HostGame</a>
</li>
<li>on_save_clicked()
: <a class="el" href="classSettings.html#a2caae07ce3af42badec1c1a3e483f940">Settings</a>
</li>
<li>on_sbPlayers_valueChanged()
: <a class="el" href="classSettings.html#aa44b3972f9d18e35acb6dee91bf4c56a">Settings</a>
</li>
<li>onCardClicked()
: <a class="el" href="classCardWidget.html#ad709e1464ffc0a3a41f42aab5cd55165">CardWidget</a>
, <a class="el" href="classTable.html#a365f2cba147209dc982098ecbabe0d4b">Table</a>
</li>
<li>operator bool()
: <a class="el" href="classCatch_1_1LazyExpression.html#acdb846cb230cecfc6aca7a925b31fbca">Catch::LazyExpression</a>
, <a class="el" href="classCatch_1_1Option.html#aba0def0bd9cd45d4e00fe47a604b0270">Catch::Option&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1Section.html#a0632b804dcea1417a2970620a9742eb3">Catch::Section</a>
</li>
<li>operator std::string()
: <a class="el" href="classCatch_1_1StringRef.html#ad9fde21785affacc32d7da7a70d74e93">Catch::StringRef</a>
</li>
<li>operator!()
: <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#ab954fa2f3149c104323ca798dc8411e1">Catch::Matchers::Impl::MatcherBase&lt; T &gt;</a>
, <a class="el" href="classCatch_1_1Option.html#a96dccb86bdf45ee0c08e122b6133bef3">Catch::Option&lt; T &gt;</a>
</li>
<li>operator!=()
: <a class="el" href="classCatch_1_1BinaryExpr.html#ad06dd2c9fc1dd77fe8d8e51440c14ff6">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>
, <a class="el" href="classCatch_1_1ExprLhs.html#a2d660580c0a8e6bb24b65a4b5364b5b1">Catch::ExprLhs&lt; LhsT &gt;</a>
, <a class="el" href="classCatch_1_1StringRef.html#aaa6c8bf61c4628034c19763d1c8ad215">Catch::StringRef</a>
</li>
<li>operator&amp;()
: <a class="el" href="classCatch_1_1ExprLhs.html#a39bc6a4687580e5fef174cae9b573283">Catch::ExprLhs&lt; LhsT &gt;</a>
</li>
<li>operator&amp;&amp;()
: <a class="el" href="classCatch_1_1BinaryExpr.html#ae4fba62be6063010bc33d0988ff7d8d5">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>
, <a class="el" href="classCatch_1_1ExprLhs.html#ad85684f7b02a98eb1b5d03d4cbd8284b">Catch::ExprLhs&lt; LhsT &gt;</a>
, <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html#a8bf048dcce70ca3a35ba31362fc48efb">Catch::Matchers::Impl::MatchAllOf&lt; ArgT &gt;</a>
, <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#aae4a9827601f6f26a52126e193d012de">Catch::Matchers::Impl::MatcherBase&lt; T &gt;</a>
</li>
<li>operator()()
: <a class="el" href="classCatch_1_1Detail_1_1Approx.html#a006f6f92cecf2b2e7d2c70329709f6e4">Catch::Detail::Approx</a>
, <a class="el" href="classCatch_1_1SimplePcg32.html#acda21743a5ac46fdff9a0b4a6d45a91f">Catch::SimplePcg32</a>
</li>
<li>operator*()
: <a class="el" href="classCatch_1_1Option.html#afd989852fa453731c3190dac63caccb0">Catch::Option&lt; T &gt;</a>
</li>
<li>operator+()
: <a class="el" href="structCatch_1_1StreamEndStop.html#a4a518f0342a381074821d5bda2651401">Catch::StreamEndStop</a>
</li>
<li>operator+=()
: <a class="el" href="structCatch_1_1Counts.html#a322a89475cd2cc039140ef371e973677">Catch::Counts</a>
, <a class="el" href="structCatch_1_1Totals.html#a574015076e54cc405c70b053e3356e43">Catch::Totals</a>
</li>
<li>operator-()
: <a class="el" href="structCatch_1_1Counts.html#aaa10666f559057e3e860d2a5a6fae4c4">Catch::Counts</a>
, <a class="el" href="classCatch_1_1Detail_1_1Approx.html#aa9adf5f05e641df770039543d5067d30">Catch::Detail::Approx</a>
, <a class="el" href="structCatch_1_1Totals.html#a9279ed39139cb7e7b291918a6d08290e">Catch::Totals</a>
</li>
<li>operator-&gt;()
: <a class="el" href="classCatch_1_1Option.html#acad340798a16c8f700f8763119e90f31">Catch::Option&lt; T &gt;</a>
</li>
<li>operator&lt;()
: <a class="el" href="classCatch_1_1BinaryExpr.html#a7e6c3dcf59b3cd51e7c82355da3ef451">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>
, <a class="el" href="classCatch_1_1ExprLhs.html#afd1ce21cb0be233a63cbdd7724adffea">Catch::ExprLhs&lt; LhsT &gt;</a>
, <a class="el" href="structCatch_1_1MessageInfo.html#a8254cb8fca2da02a29a9843cdcb79df1">Catch::MessageInfo</a>
, <a class="el" href="structCatch_1_1SourceLineInfo.html#af77415416919d2d6030b4be085b92f7a">Catch::SourceLineInfo</a>
, <a class="el" href="classCatch_1_1TestCase.html#a030e4b9282e9b32e08c8bd5e5cd6fa98">Catch::TestCase</a>
</li>
<li>operator&lt;&lt;()
: <a class="el" href="structCatch_1_1MessageBuilder.html#a20fa48d069b20dddcc2d3df8abb123c1">Catch::MessageBuilder</a>
, <a class="el" href="structCatch_1_1MessageStream.html#a554c4aff5925a077e9fe9d858217428d">Catch::MessageStream</a>
, <a class="el" href="classCatch_1_1ReusableStringStream.html#af95f72024c082db70e5e50782e28e4f6">Catch::ReusableStringStream</a>
</li>
<li>operator&lt;=()
: <a class="el" href="classCatch_1_1BinaryExpr.html#a5590a2c5f5074ca2509c09b92bfcdf57">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>
, <a class="el" href="structCatch_1_1Decomposer.html#aac129b94903ae1339d5709049d83613b">Catch::Decomposer</a>
, <a class="el" href="classCatch_1_1ExprLhs.html#a918090c28bee54222730159b56240af1">Catch::ExprLhs&lt; LhsT &gt;</a>
</li>
<li>operator=()
: <a class="el" href="classCatch_1_1LazyExpression.html#ae4ae00d4f36f084c369f2da36565a822">Catch::LazyExpression</a>
, <a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a62668ccc47b64a9094dcb6413f9af80b">Catch::Matchers::Impl::MatcherUntypedBase</a>
, <a class="el" href="classCatch_1_1NonCopyable.html#a317697b6d3c4cda093666ce61d3a1e31">Catch::NonCopyable</a>
, <a class="el" href="classCatch_1_1Option.html#a2be7e343ab22d6061726d32ab4622653">Catch::Option&lt; T &gt;</a>
, <a class="el" href="structCatch_1_1SourceLineInfo.html#a1a6cfc0197357ef4e329bb256aa8a354">Catch::SourceLineInfo</a>
</li>
<li>operator==()
: <a class="el" href="classCatch_1_1BinaryExpr.html#a245bffd2aab2f560814739986710aaf1">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>
, <a class="el" href="classCatch_1_1ExprLhs.html#af218aaf7b5b0a0ebb6b3697f2c89893d">Catch::ExprLhs&lt; LhsT &gt;</a>
, <a class="el" href="structCatch_1_1MessageInfo.html#af4b37f2172ba55395813b4bb6bbbde1a">Catch::MessageInfo</a>
, <a class="el" href="structCatch_1_1SourceLineInfo.html#af07e4fdeddf8409b91e4f842f6264cf8">Catch::SourceLineInfo</a>
, <a class="el" href="classCatch_1_1StringRef.html#aabb30149ab961187e4b3ff3394bf6e73">Catch::StringRef</a>
, <a class="el" href="classCatch_1_1TestCase.html#a5456d03a90f75292835c158f3a3374a1">Catch::TestCase</a>
</li>
<li>operator&gt;()
: <a class="el" href="classCatch_1_1BinaryExpr.html#acff324c7d285cbee7efa9fbe83955638">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>
, <a class="el" href="classCatch_1_1ExprLhs.html#a7f9d22b7ef87375af7a2583c9643a0f4">Catch::ExprLhs&lt; LhsT &gt;</a>
</li>
<li>operator&gt;=()
: <a class="el" href="classCatch_1_1BinaryExpr.html#a67901ddb9afd83961fb4e65ea3d75050">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>
, <a class="el" href="classCatch_1_1ExprLhs.html#a5ab1a2e91533a8b66a5d2e70774f6793">Catch::ExprLhs&lt; LhsT &gt;</a>
</li>
<li>operator[]()
: <a class="el" href="classCatch_1_1StringRef.html#a4ba2e01eec1f0f56c257d213c796ab3b">Catch::StringRef</a>
</li>
<li>operator^()
: <a class="el" href="classCatch_1_1ExprLhs.html#a904664f51bf478b41b12ac6cb3e1ec23">Catch::ExprLhs&lt; LhsT &gt;</a>
</li>
<li>operator|()
: <a class="el" href="classCatch_1_1ExprLhs.html#a52358a7cbaf47578ff436a378ac818c6">Catch::ExprLhs&lt; LhsT &gt;</a>
</li>
<li>operator||()
: <a class="el" href="classCatch_1_1BinaryExpr.html#a331e53968b1a2f92827c35721cc7eded">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>
, <a class="el" href="classCatch_1_1ExprLhs.html#ae9b4ee923b90af22c9e39261c2f03cd3">Catch::ExprLhs&lt; LhsT &gt;</a>
, <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAnyOf.html#ab356d77b28b487c2d9fe8b1e1e6f78c9">Catch::Matchers::Impl::MatchAnyOf&lt; ArgT &gt;</a>
, <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#a5f8542b8f1567a6f9c65d0a6da7b679b">Catch::Matchers::Impl::MatcherBase&lt; T &gt;</a>
</li>
<li>Option()
: <a class="el" href="classCatch_1_1Option.html#af02f2e4559f06384baec0def8c68c5fd">Catch::Option&lt; T &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
